Create or Update

puthttps://app.mk.io/api/v1/projects/:project_name/media/streamingPolicies/:policy_name

Create or update a Streaming Policy. Updating an existing policy may not be available on all accounts.

RBAC Capability Required: ams.streamingpolicy.create or ams.streamingpolicy.update

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_namestringRequired
policy_namestringRequired

Request

This endpoint expects an object.

Loading schema details…

Response

200Streaming Policy updated

Loading schema details…

201Streaming Policy created

Loading schema details…

Errors

400Bad Request

Loading schema details…

401Unauthorized

Loading schema details…

403Forbidden

Loading schema details…

404Not Found

Loading schema details…

429Too Many Requests

Loading schema details…

500Internal Server Error

Loading schema details…